svn::Url Class Reference

`#include <url.hpp>`

## Public Member Functions

| Url ()
virtual | ~Url ()

## Static Public Member Functions

static bool | isValid (const char *urlToValidate)
static std::string | escape (const char *url)
static std::string | unescape (const char *url)
static std::vector< std::string > | supportedSchemas ()

## Constructor & Destructor Documentation

svn::Url::Url | ( |  | ) |

Constructor

virtual svn::Url::~Url | ( |  | ) |

virtual

Destructor

## Member Function Documentation

static std::string svn::Url::escape | ( | const char * | url | ) |

static

returns a url with forbidden charachters like spaces escaped

Example of input: http://rapidsvn.tigris.org/x y z.html Output: http://rapidsvn.tigris.org/x%20y%20z.html

static bool svn::Url::isValid | ( | const char * | urlToValidate | ) |

static

Checks if url is valid

Example of a valid URL: http://svn.collab.net/repos/svn Example of an invalid URL: /home/foo/bar

static std::vector<std::string> svn::Url::supportedSchemas | ( |  | ) |

static

returns a vector with url schemas that are supported by svn

Returns
  vector with entries like "file:", "http:"

Deprecated:
  since 0.9.1 (returns an empty vector now)

static std::string svn::Url::unescape | ( | const char * | url | ) |

static

returns a url with forbidden charachters like spaces unescaped

Undo the changes done by the previous function, escape ()

The documentation for this class was generated from the following file:

- url.hpp